1. Campaigns
Incomaker Reporting v1
  • Abandoned carts
    • Get abandoned carts list
      GET
    • Get abandoned carts detail
      GET
  • Campaigns
    • Get campaigns count and metrics by language
      GET
    • Get campaigns list
      GET
    • Get campaigns daily results
      GET
    • Get campaigns monthly summanry
      GET
    • Get campaigns results hourly histogram
      GET
    • Get campaigns results daily histogram
      GET
    • Get campaigns results monthly histogram
      GET
    • Get list of senders
      GET
    • Get list of contacts timeline for campaign
      GET
    • Get list of contacts for campaign
      GET
    • Get list of contacts for period
      GET
    • Get A/B tests for campaigns
      GET
    • Get campaign conversions
      GET
    • Get campaign recipient list
      GET
    • Get campaign recipient activity timeline
      GET
    • Get campaign link click stats
      GET
  • Conversions
    • Get conversions list
      GET
    • Get total conversions
      GET
    • Get conversions by timeframe
      GET
    • Get conversions history
      GET
  • Contacts
    • Get contacts
      GET
    • Get contacts details
      GET
    • Get contacts recommendation
      GET
    • Get unsubscribed contacts
      GET
    • Get duplicate contacts
      GET
    • Get contacts with invalid names
      GET
    • Get contact gender statistics
      GET
  • Segments
    • Get segments list
  • Deliveries
    • Get deliveries list
    • Get delivery conversions
    • Get delivery-specific conversions
    • Get delivery recipient activity
    • Get recipient activity timeline
    • Get delivery link click stats
    • Get delivery detail
    • Get deliveries count and metrics by language
    • Get deliveries daily results
    • Get delivery daily detail for individual smartflow
  • RFM Analysis
    • Get Recency × Frequency heatmap
    • Get Recency × Monetary heatmap
    • Get Frequency × Monetary heatmap
    • Get full RFM cube or slices
    • Get recency distribution
    • Get frequency distribution
    • Get monetary distribution
    • Get combined RFM distributions
    • Get cell table
    • Get cell detail
    • Get contacts in cell
    • Get contact RFM detail
    • Get RFM Segments
    • Get RFM outliers
    • Get review candidates
  • Dialogs
    • Get dialogs list
    • Get dialogs data
  • Orders
    • Get orders list
    • Get order detail
    • Get order recommendation
  • Products
    • Get products
    • Get individual purchases for a product
    • Get products frequently purchased together
    • Get product categories
    • Get product detail
    • Get products by campaign
    • Get products by revenues
    • Get products recommendation
  • Schemas
    • Paging
    • ConversionAggregate
    • Contact
  1. Campaigns

Get campaigns monthly summanry

GET
/campaigns/monthly
Retrieve a summary of campaign performance metrics aggregated by month.

Request

Query Params

Header Params

Responses

🟢200
application/json
OK
Bodyapplication/json

🟠400
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/campaigns/monthly?monthStarting=2025-05&monthEnding=2025-06&lastNumberOfMonths=3' \
--header 'Authorization: Bearer JWT'
Response Response Example
200 - Success
{
    "campaignsMonthly": [
        {
            "month": "2024-09",
            "campaigns": 112,
            "sent": 4848431,
            "delivered": 11877,
            "opened": 735964,
            "clicked": 60237,
            "unsubscribed": 1935,
            "spam": 1,
            "conversionsAmount": 17151515,
            "conversionsNumber": 11555,
            "conversionCurrency": "CZK",
            "openRate": 61.965,
            "clickThroughRate": 5.072,
            "clickToOpenRate": 0.082,
            "averageDelivered": 106,
            "averageOpened": 6571,
            "averageClicked": 538,
            "openValue": 23.3,
            "mmOpenValue": -0.71,
            "yyOpenValue": -0.68,
            "clickValue": 284.73,
            "mmClickValue": -0.72,
            "yyClickValue": -0.61,
            "mmCampaigns": 0.23,
            "yyCampaigns": 0.75,
            "mmSent": -0.13,
            "yySent": 0.98,
            "mmDelivered": 0.01,
            "yyDelivered": -0.99,
            "mmOpened": -0.02,
            "yyOpened": 0.87,
            "mmClicked": 0.02,
            "yyClicked": 0.53,
            "mmUnsubscribed": -0.09,
            "yyUnsubscribed": -0.41,
            "mmSpam": null,
            "yySpam": null,
            "mmConversionsAmount": -0.72,
            "yyConversionsAmount": -0.4,
            "mmConversionsNumber": -0.74,
            "yyConversionsNumber": -0.34
        }
    ]
}
Modified at 2026-06-08 15:36:31
Previous
Get campaigns daily results
Next
Get campaigns results hourly histogram
Built with